Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78448 - Mount options (exec...) not working for AIX NFS filesystems.
Summary: Mount options (exec...) not working for AIX NFS filesystems.
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-22 23:36 UTC by Jerome
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-07-07 16:44:36 UTC


Attachments (Terms of Use)

Description Jerome 2002-11-22 23:36:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Mount options (exec...) not honored for AIX NFS mounted filesystems.
RedHat 8.0 is the client; AIX 5.1 is the server.
/etc/fstab:
dosxx:/linux  /images  nfs  sync,exec,suid,dev,tcp,rsize=8192,wsize=8192,...
After mount performed, cat /proc/mounts reports:
dosxx:/linux /images nfs rw,sync,nosuid,nodev,noexec,...

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Specify exec mount option for an NFS filesystem
2.Mount the filesystem
3.Check /proc/mounts or try to execute a Linux executable or shell from the
mounted filesystem
	

Actual Results:  Cannot execute any files from the NFS mounted filesystem
(/bin/sh: bad interpreter: Permission denied)

Expected Results:  Being able to execute Linux executables and shells from the
mounted filesystems.

Additional info:

Comment 1 Elliot Lee 2002-12-10 20:40:44 UTC
From the error message, it seems as if the actual problem is elsewhere (_bad 
interpreter_). Please investigate with ls -l before concluding that the mount options are the 
problem.

There is really no way that util-linux or even the kernel is changing its behaviour based on 
the fact that the server is an AIX one.


Note You need to log in before you can comment on or make changes to this bug.